summaryrefslogtreecommitdiffstats
path: root/development/erlang-otp
diff options
context:
space:
mode:
author B. Watson2022-04-15 08:19:17 +0200
committer Willy Sudiarto Raharjo2022-04-16 07:11:29 +0200
commitf70e4f1c31f0f58ddcb8fdc66ccf523ecb5d46ee (patch)
tree752fc3731143e4bb2867da1e80ea853011910f73 /development/erlang-otp
parent498bdca5893f5d5ab72f2f1f0cb113029eff5831 (diff)
downloadslackbuilds-f70e4f1c31f0f58ddcb8fdc66ccf523ecb5d46ee.tar.gz
development/erlang-otp: Strip binaries.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/erlang-otp')
-rw-r--r--development/erlang-otp/erlang-otp.SlackBuild15
1 files changed, 9 insertions, 6 deletions
diff --git a/development/erlang-otp/erlang-otp.SlackBuild b/development/erlang-otp/erlang-otp.SlackBuild
index 29bd6642a8..8c3df367c1 100644
--- a/development/erlang-otp/erlang-otp.SlackBuild
+++ b/development/erlang-otp/erlang-otp.SlackBuild
@@ -20,11 +20,14 @@
# 28 November 2016 to reflect the use of README.md instead
# of README in upstream
+# 20220415 bkw: Modified by SlackBuilds.org, BUILD=2:
+# - strip binaries/libraries.
+
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=erlang-otp
VERSION=${VERSION:-23.2}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -39,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -76,9 +76,9 @@ cd $SRC_NAME_VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -109,6 +109,9 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv COPYRIGHT README.md $PKG/usr/doc/$PRGNAM-$VERSION )
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mv $PKG/usr/lib${LIBDIRSUFFIX}/erlang/man $PKG/usr
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done